By default Dashboards.JS runs in trial mode with a watermark; registering your license key removes it.

In Vue.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/viewer'

// Register your license from JavaScript code
// Stimulsoft.Base.StiLicense.key = "6vJhGtLLLz2GNviWmUTrhSqnO...";
// Stimulsoft.Base.StiLicense.loadFromFile("stimulsoft.key");

var report = new Stimulsoft.Report.StiReport();
report.loadFile("Dashboards/Dashboard.mrt");
</script>

<template>
    <Viewer :report="report" />
</template>

How it works. The license is registered before any component is created, so every dashboard renders without the trial watermark.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

By default Dashboards.JS runs in trial mode with a watermark; registering your license key removes it.

In Angular.
import { Component } from "@angular/core";
import { Viewer, Stimulsoft } from "stimulsoft-dashboards-js-angular/viewer";

@Component({
    imports: [Viewer],
    template: `<sti-viewer [report]="report"></sti-viewer>`
})
export class Example {
    report: Stimulsoft.Report.StiReport;

    constructor() {
        // Register your license from JavaScript code
        // Stimulsoft.Base.StiLicense.key = "6vJhGtLLLz2GNviWmUTrhSqnO...";
        // Stimulsoft.Base.StiLicense.loadFromFile("stimulsoft.key");

        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile("Dashboards/Dashboard.mrt");
    }
}

How it works. The license is registered before any component is created, so every dashboard renders without the trial watermark.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.